View Issue Details

IDProjectCategoryView StatusLast Update
0001281bareos-core[All Projects] directorpublic2020-12-11 17:44
ReporterfrankuAssigned Topstorz 
PriorityhighSeveritycrashReproducibilityrandom
Status closedResolutionfixed 
Product Version 
Fixed in Version 
Summary0001281: Director crashes on memory access violation in CloseMemoryPool() and is_regex()
DescriptionThe director Daemon crashes randomly either in CloseMemoryPool or in is_regex when attempting to read out of page memory. This results in a segmentation fault.
Steps To ReproduceProbably happens more likely when update bvfs using .bvfs_update using the WebUi.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impactyes
bareos-19.2: actionfixed
bareos-18.2: impactyes
bareos-18.2: actionfixed
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001261 closedarogge Release Bareos 18.2.10 
related to 0001260 closedarogge Release Bareos 19.2.9 
related to 0001282 closedarogge Release Bareos 20.0.0 

Activities

pstorz

pstorz

2020-12-02 19:22

administrator   ~0004061

Fix committed to bareos bareos-19.2 branch with changesetid 14362.

Related Changesets

bareos: master cc448f9c

2020-11-25 12:14:41

pstorz


Committer: franku

Ported: N/A

Details Diff
dir: fix two potential memory access violations

Fixes 0001281: Director crashes on memory access violation
in CloseMemoryPool() and is_regex()

mem_pool: Remove calculation of the variables "count"
and "bytes" which caused the crash while the results are
not used at all. Also reduces variable scope and removes
a pointless cast.

ua_acl: fix is_regex() function, replace error-prone and
buggy function with simpler c++-based string-handling.
Affected Issues
0001281
mod - CHANGELOG.md Diff File
mod - core/src/dird/ua_acl.cc Diff File
mod - core/src/lib/mem_pool.cc Diff File

bareos: bareos-18.2 6953c14c

2020-11-25 12:14:41

pstorz


Committer: franku

Ported: N/A

Details Diff
dir: fix two potential memory access violations

Fixes 0001281: Director crashes on memory access violation
in CloseMemoryPool() and is_regex()

mem_pool: Remove calculation of the variables "count"
and "bytes" which caused the crash while the results are
not used at all. Also reduces variable scope and removes
a pointless cast.

ua_acl: fix is_regex() function, replace error-prone and
buggy function with simpler c++-based string-handling.
Affected Issues
0001281
mod - core/src/dird/ua_acl.cc Diff File
mod - core/src/lib/mem_pool.cc Diff File

bareos: bareos-19.2 1a8cbe85

2020-11-25 12:14:41

pstorz


Committer: franku

Ported: N/A

Details Diff
dir: fix two potential memory access violations

Fixes 0001281: Director crashes on memory access violation
in CloseMemoryPool() and is_regex()

mem_pool: Remove calculation of the variables "count"
and "bytes" which caused the crash while the results are
not used at all. Also reduces variable scope and removes
a pointless cast.

ua_acl: fix is_regex() function, replace error-prone and
buggy function with simpler c++-based string-handling.
Affected Issues
0001281
mod - core/src/dird/ua_acl.cc Diff File
mod - core/src/lib/mem_pool.cc Diff File

Issue History

Date Modified Username Field Change
2020-11-27 17:05 franku New Issue
2020-11-30 09:44 franku Summary Director crash in CloseMemoryPool() and is_regex() buffer overrun => Director crashes on memory access violation in CloseMemoryPool() and is_regex()
2020-11-30 12:40 franku Assigned To => franku
2020-11-30 12:40 franku Status new => assigned
2020-11-30 12:45 franku bareos-master: impact => yes
2020-11-30 12:45 franku bareos-master: action => will care
2020-11-30 12:45 franku bareos-19.2: impact => yes
2020-11-30 12:45 franku bareos-19.2: action => will care
2020-11-30 12:45 franku bareos-18.2: impact => yes
2020-11-30 12:45 franku bareos-18.2: action => will care
2020-11-30 15:36 franku Relationship added related to 0001261
2020-11-30 15:36 franku Relationship added related to 0001260
2020-11-30 15:45 arogge Relationship added related to 0001282
2020-12-02 19:18 franku bareos-master: action will care => fixed
2020-12-02 19:18 franku bareos-19.2: action will care => fixed
2020-12-02 19:18 franku bareos-18.2: action will care => fixed
2020-12-02 19:19 franku Status assigned => resolved
2020-12-02 19:19 franku Resolution open => fixed
2020-12-02 19:22 franku Changeset attached => bareos master cc448f9c
2020-12-02 19:22 franku Changeset attached => bareos bareos-18.2 6953c14c
2020-12-02 19:22 franku Changeset attached => bareos bareos-19.2 1a8cbe85
2020-12-02 19:22 pstorz Note Added: 0004061
2020-12-02 19:22 pstorz Assigned To franku => pstorz
2020-12-11 17:44 arogge Status resolved => closed